<?php

namespace App\Observers;

use App\Models\ListYun;

class ListYunObserver {

	function get_ioc($id) {
		$url = env('APP_URL');
		$iocs = [
			$url . '/ioc/ioc1.png',
			$url . '/ioc/ioc1.png',
			$url . '/ioc/ioc2.png',
			$url . '/ioc/ioc3.png',
			$url . '/ioc/ioc4.png',
			$url . '/ioc/ioc5.png',
		];
		return $iocs[$id];
	}
	/**
	 * Handle the ListYun "created" event.
	 *
	 * @param  \App\Models\ListYun  $listYun
	 * @return void
	 */
	public function created(ListYun $listYun) {

		// ListYun::where('id', $listYun->id)->update(['icon_data' => "data:image/png;base64," . base64_encode(file_get_contents($this->get_ioc($listYun->type)))]);
	}

	/**
	 * Handle the ListYun "updated" event.
	 *
	 * @param  \App\Models\ListYun  $listYun
	 * @return void
	 */
	public function updated(ListYun $listYun) {
		// ListYun::where('id', $listYun->id)->update(['icon_data' => "data:image/png;base64," . base64_encode(file_get_contents($this->get_ioc($listYun->type)))]);
	}

	/**
	 * Handle the ListYun "deleted" event.
	 *
	 * @param  \App\Models\ListYun  $listYun
	 * @return void
	 */
	public function deleted(ListYun $listYun) {
		//
	}

	/**
	 * Handle the ListYun "restored" event.
	 *
	 * @param  \App\Models\ListYun  $listYun
	 * @return void
	 */
	public function restored(ListYun $listYun) {
		//
	}

	/**
	 * Handle the ListYun "force deleted" event.
	 *
	 * @param  \App\Models\ListYun  $listYun
	 * @return void
	 */
	public function forceDeleted(ListYun $listYun) {
		//
	}
}
