<?php
namespace App\Admin\Actions\Imports;

use App\Models\ListText;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class MemberImport implements ToModel, WithStartRow {
	/**
	 * @param array $row
	 *
	 * @return \Illuminate\Database\Eloquent\Model|null
	 */
	public function model(array $row) {
		// 0代表的是第一列 以此类推
		// $row 是每一行的数据
		// 查询是否存在，存在就不写入
		// $ListText = ListText::where('name', '=', $row[0])->first();
		if ($row[1] == ''
			&& $row[2] == ''
			&& $row[3] == ''
			&& $row[4] == ''
			&& $row[5] == ''
			&& $row[6] == ''
			&& $row[7] == ''

		) {
			return null;
		}
		return new ListText([
			'quyu' => $row[1],
			'title' => $row[2],
			'type' => $row[3],
			'guimo' => $row[4],
			'daoru' => $row[5],
			'yunying' => $row[6],
			'chengguo' => $row[7],
		]);
	}

	/**
	 * 从第几行开始处理数据 就是不处理标题
	 * @return int
	 */
	public function startRow(): int {
		return 3;
	}
	/**
	 * @author cjg
	 * rules()方法期望返回一个带有 Laravel 验证规则的数组。
	 */
	public function rules(): array
	{
		return [
			// Can also use callback validation rules
			'0' => function ($attribute, $value, $onFailure) {

			},
			'1' => function ($attribute, $value, $onFailure) {
				if ($value != '备注' && !$value) {
					$onFailure('备注不能为空');
				}
			},
		];
	}

}