<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ListText extends Model {
	use HasDateTimeFormatter;
	use SoftDeletes;

	protected $table = 'list_text';

	/**
	 * 可以被批量赋值的属性。
	 *
	 * @var array
	 */
	protected $fillable = ['quyu', 'title', 'type', 'guimo', 'daoru', 'yunying', 'chengguo'];

}
