<?php
namespace App\Models;
use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ListYun extends Model {
	use HasDateTimeFormatter;
	use SoftDeletes;
	protected $table = 'list_yun';
	protected $appends = ['vide_live'];
	// 判断是远程地址还是上传
	public function getVideLiveAttribute($value) {
		if ($this->live) {
			return $this->live;
		}
		if ($this->video) {
			return env('APP_URL') . '/storage/' . $this->video;
		}

		// dump($this->video);
		return '';
	}
	function get_ioc($id) {
		$iocs = [
			env('APP_URL') . '/storage/ioc/ioc1.png',
			env('APP_URL') . '/storage/ioc/ioc1.png',
			env('APP_URL') . '/storage/ioc/ioc2.png',
			env('APP_URL') . '/storage/ioc/ioc3.png',
			env('APP_URL') . '/storage/ioc/ioc4.png',
			env('APP_URL') . '/storage/ioc/ioc5.png',
		];
		return $iocs[$id];
	}
	public function setIconDataAttribute($value) {
		$this->attributes['icon_data'] = "data:image/png;base64," . base64_encode(file_get_contents($this->get_ioc($this->type)));
	}
}